#include "nana/gui.hpp"
#include "memorycard.hpp"
#include "grid.hpp"
#include <iostream>
#include <fstream>

#include "nana/gui/animation.hpp"
#include <vector>
#include <iostream>

int main() {
	nana::form frm;

	const MemoryCard mc(std::ifstream("/home/michele/dev/code/cpp/memoserv/michele_epsxe000.mcr", std::ios::binary));
	grid grid1{frm, 16, &mc};
	grid grid2{frm, 16, &mc};
#if !defined(NDEBUG)
	//grid1.bgcolor(nana::colors::azure);
#endif

	std::cout << "Hello world\n";
	frm.div("vert<>< <weight=5%><grid1><weight=5%><grid2> ><>");
	frm["grid1"] << grid1;
	frm["grid2"] << grid2;
	frm.collocate();
	frm.show();

	//const MemoryCard mc(std::ifstream("/home/michele/emu/psx/WipEout 3 - Special Edition (Europe) (En,Fr,De,Es,It).srm", std::ios::binary));
	//MemoryCard mc(std::ifstream("/home/michele/emu/psx/Rapid Racer (Europe) (En,Fr,De,Es,It).srm", std::ios::binary));


	nana::exec();
	return 0;
}
